Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.triplebased
Class TripleSimS

    java.lang.Object
      fr.inrialpes.exmo.ontosim.entity.triplebased.TripleSimS

All Implemented Interfaces:
  Measure<com.hp.hpl.jena.graph.Triple>

    public class TripleSimS

extends Object
implements Measure<com.hp.hpl.jena.graph.Triple>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`private Measure<com.hp.hpl.jena.graph.Node>` | `intialSim`

Constructor Summary
`TripleSimS(Measure<com.hp.hpl.jena.graph.Node> intialSim)`

Method Summary
`double` | `getDissim(com.hp.hpl.jena.graph.Triple o1, com.hp.hpl.jena.graph.Triple o2)`
`double` | `getMeasureValue(com.hp.hpl.jena.graph.Triple o1, com.hp.hpl.jena.graph.Triple o2)`
`Measure.TYPES` | `getMType()`
`double` | `getSim(com.hp.hpl.jena.graph.Triple o1, com.hp.hpl.jena.graph.Triple o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### intialSim

    private Measure<com.hp.hpl.jena.graph.Node> intialSim

Constructor Detail

### TripleSimS

    public TripleSimS(Measure<com.hp.hpl.jena.graph.Node> intialSim)

Method Detail

### getDissim

    public double getDissim(com.hp.hpl.jena.graph.Triple o1,
                            com.hp.hpl.jena.graph.Triple o2)

  Specified by:
    `getDissim` in interface `Measure<com.hp.hpl.jena.graph.Triple>`

### getMType

    public Measure.TYPES getMType()

  Specified by:
    `getMType` in interface `Measure<com.hp.hpl.jena.graph.Triple>`

### getMeasureValue

    public double getMeasureValue(com.hp.hpl.jena.graph.Triple o1,
                                  com.hp.hpl.jena.graph.Triple o2)

  Specified by:
    `getMeasureValue` in interface `Measure<com.hp.hpl.jena.graph.Triple>`

### getSim

    public double getSim(com.hp.hpl.jena.graph.Triple o1,
                         com.hp.hpl.jena.graph.Triple o2)

  Specified by:
    `getSim` in interface `Measure<com.hp.hpl.jena.graph.Triple>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009